<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraInscricoes.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		
		<p:link outcome="mostraCategoria.xhtml" value="#{msg['pages.mostraInscricoes.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraInscricoes.title']}"/></h1>
		
		<h:form id="formMostraInsc">
		
			<p:dataTable var="aux"
					   value="#{inscricaoManagedBeans.categoriaSelecionada.inscricoes}"
					   id="tabelaInscricao"
					   editable="true" paginator="true"
					   rows="5"
					   paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                	   rowsPerPageTemplate="5,10,15">
                	   
               	<p:ajax event="rowEdit" listener="#{inscricaoManagedBeans.onRowEdit}"
               	update="tabelaInscricao"/>
					   
				<p:column headerText="#{msg['pages.cadastraInscricao.numero']}">
					<p:outputLabel value="#{aux.numero}" />
				</p:column>	
				
				<p:column headerText="#{msg['pages.cadastraInscricao.equipe']}">
					<p:cellEditor>
						<f:facet name="output">
							<p:outputLabel value="#{aux.equipe}"/>
						</f:facet>
						<f:facet name="input">
							<p:inputText value="#{aux.equipe}"/>
						</f:facet>
					</p:cellEditor>
				</p:column>	
			
		  		<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{inscricaoManagedBeans.remover(aux)}"
						update="tabelaInscricao" />
	  			</p:column>
			</p:dataTable>
		
		</h:form>
		
	</ui:define>

</ui:composition>